1. Variants
  • Introduction to our API
    • Overview
    • Getting Started
    • Product Catalog
    • Webhooks Overview
    • Notifications Guide
  • User
    • Client
      • Generate Service Client Access Token
    • User
      • Login User by Username and Password
      • Login User with Refresh Token
  • Order
    • OrderItems
      • Search for order items based on various criteria and filters
    • Orders
      • Create a New Order.
      • Search for orders based on various criteria and filters.
      • Create multiple orders
      • Retrieve multiple orders
      • Update multiple orders
      • Retrieve a list of orders
      • Retrieve an order by Order ID.
      • Update order data.
      • Retrieve an order by Safe ID
      • Retrieve order item by Order Item ID
      • Update an item within an order.
      • Cancel Order or order items
      • Change the order status to Customer Care Hold
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order item.
      • Add a Refund Request.
  • Note
    • Notes
      • Create a New Note
      • Search All Notes
      • View Note by ID
      • Update Note
      • Delete Note
      • View Note Audit Logs
  • Catalog
    • Categories
      • View all product categories
      • Create a new category
      • Update category
      • Delete category
      • Get audit logs of a category
    • MerchantCatalog
      • Create a merchant catalog
      • Update a merchant catalog
      • Partially update a merchant catalog
      • Get a list of merchant catalogs
      • Delete a merchant catalog
      • Get a merchant catalog and search variants in it
      • Get a merchant catalog with variants
      • Get a list of variants the merchant can use in accordance with their enabled catalog
      • Search for variants in enabled merchant catalog with fallback to global catalog
      • Get the variants of the merchant's custom catalog with their stored and live global attributes
      • Search the variants of the merchant's custom catalog, with their stored and live global attributes
      • Get audit logs of a merchant catalog
      • Get the products of the merchant's custom catalog with live global product data
      • Search the products of the merchant's custom catalog, with live global product data
    • Products
      • View all products
      • Retrieve product variant details
      • Create a new product
      • Search products
      • Bulk create products
      • Bulk update products
      • Update product
      • Delete product
      • Update variant
      • Get audit logs of a product
    • Variants
      • Delete variant
        DELETE
      • Create a variant
        POST
      • Search product variants
        POST
      • Get audit logs of a variant
        GET
      • Search product variants with cursor pagination
        POST
    • MerchantVariants
      • Add new variants to a merchant catalog
      • Update a merchant catalog variants
      • Update a merchant catalog by removing variants
    • Enriched Catalog
      • List the vendors a merchant is connected to.
      • Page through the vendor product data of every vendor a merchant is connected to.
      • Get every variation of one product, per connected vendor able to produce it.
  • Shipment
    • Packing Slip
      • Generates a packing slip for a specific shipment by Shipment ID.
    • Shipments
      • Get details of a specific shipment by Shipment ID.
      • Update details of a specific shipment by Shipment ID.
      • Create packages for a specific shipment.
      • Delete shipment with packages.
      • Get all shipments for an order by Order ID.
      • Create shipment for order, vendor, and order items.
      • Get shipment with packages for order and vendor.
      • Get shipment details by Order Item ID.
      • Update a specific shipment package.
      • Delete a specific shipment package.
      • Cancel shipment.
      • Unassign items to shipment.
      • Shipment resubmission to assigned facility.
      • Retry outbound polling for a shipment by publishing an OutboundShipmentUpdate event.
      • Search shipments.
      • Reroute shipment.
      • Rejects a shipment.
      • Bulk reroute shipments.
      • Get shipment audit logs.
      • Get package audit logs.
      • Get message audit logs for shipment updates.
      • Assign Shipment.
    • VendorShipments
      • Get full vendor details for up to 100 shipments in a single call. Only available for vendor and admin users. Returns a per-id result for each requested shipment: accessible shipments return a 200 detail model, missing ids return 404, and inaccessible ids
  1. Variants

Create a variant

POST
/v1/variants
Vendor Access: Forbidden — This endpoint is not accessible to vendor users.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Body Params
application/json

Examples

Responses

🟢201
application/json
Created
Body

🟠400
🟠401
🟠403
🟠409
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.ordermesh.io/catalog/v1/variants' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "id": "73534",
    "productId": "1194",
    "sku": "Mug11oz-White-RedAccent",
    "attributes": [
        {
            "name": "Color",
            "value": "White With Red Accents"
        },
        {
            "name": "Size",
            "value": "11 oz"
        }
    ],
    "options": [
        {
            "name": "Gift Wrap",
            "value": "Standard Wrap"
        }
    ],
    "decorations": [
        {
            "area": "Default",
            "width": 2538,
            "height": 945,
            "dpi": 300,
            "method": "DirectToGarment",
            "price": null,
            "printImage": null,
            "attributes": [
                {
                    "name": "Placement",
                    "value": "Center Chest"
                }
            ]
        }
    ],
    "price": {
        "currencies": null,
        "amount": 7.9,
        "currency": "USD"
    },
    "status": "active",
    "images": [
        "http://cdn.print.io/temp/b372005663144e6699af3c2c58b7ea9bMug_red_PreviewImage.png"
    ],
    "gtin": "1194",
    "upc": "Mug11oz-White-RedAccent",
    "partNumber": "1194",
    "extras": [
        {
            "name": "PimVariantId",
            "value": "PIM-VAR-73534"
        },
        {
            "name": "LegacySku",
            "value": "OLD-SKU-XYZ"
        },
        {
            "name": "WeightOunces",
            "value": "4.2"
        }
    ]
}'
Response Response Example
201 - Example 1
{
    "variantId": "string"
}
Modified at 2026-10-23 15:21:26
Previous
Delete variant
Next
Search product variants
Built with